<template>
  <div v-if="boissons">
    <h1 class="ml-2">Les boissons</h1>
    <b-col cols="12" class="mx-auto" style="width: 600px;">
      <div v-for="boisson in boissons" :key="boisson.id">
        <b-card
          no-body
          class="overflow-hidden m-2 mb-16"
          style="max-width: 540px;"
        >
          <b-row no-gutters>
            <b-col md="6">
              <b-card-body>
                <b-card-text>
                  <h1>{{ boisson.name_dish }}</h1>
                  <p>{{ boisson.description_dish }}</p>
                  <p>{{ boisson.price_dish }}</p>
                  <p>{{ boisson.allergens_dish }}</p>
                  <p>{{ boisson.weight_dish }}</p>
                  <p>{{ boisson.nutritional_values_dish }}</p>
                </b-card-text>
                <b-form-rating
                  v-model="value"
                  variant="warning"
                  show-value
                ></b-form-rating>
                 <b-button @click="addToCartBoisson(boisson)" variant="outline-primary" class="mt-2" href="#">sélectionner</b-button>
              </b-card-body>
            </b-col>
            <b-col md="6">
                <img class="img" :src="boisson.picture_link" />
            </b-col>
          </b-row>
        </b-card>
      </div>
    </b-col>
  </div>
</template>

<script>
export default {
  value: null,
  created() {
    this.$store.dispatch("getBoisson");
  },
  computed: {
    boissons() {
      return this.$store.state.boisson;
    },
  },
  methods: {
    addToCartBoisson(boisson){
      this.$store.dispatch("updateCartBoisson", boisson).then(()=>console.log (this.$store.state.cart))
    }
  }
};
</script>

<style scoped>
.img{
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}
</style>
